%define languageenglazy Tsonga
%define languagecode    ts
%define lc_ctype        ts_ZA

%define upstream_version 20110323.2

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}
Release:        %mkrel 2
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://www.translate.org.za/
Source0:        https://addons.mozilla.org/firefox/downloads/file/1164032/tsonga_spell_checker-%{upstream_version}webext.xpi?src=dp-btn-primary#/%{name}-%{version}.xpi

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-ts
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/ts-ZA.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/ts-ZA.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README-ts-ZA.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Mon Feb 17 2020 umeabot <umeabot> 0.20110323.2-2.mga8
+ Revision: 1537779
- Mageia 8 Mass Rebuild

* Sun Nov 10 2019 zezinho <zezinho> 0.20110323.2-1.mga8
+ Revision: 1459034
- updated to latest upstream version

* Tue Sep 18 2018 umeabot <umeabot> 0.20091101.1-11.mga7
+ Revision: 1263895
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 0.20091101.1-10.mga6
+ Revision: 934084
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20091101.1-9.mga5
+ Revision: 741669
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20091101.1-8.mga5
+ Revision: 680321
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20091101.1-7.mga4
+ Revision: 505872
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20091101.1-6.mga3
+ Revision: 353747
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20091101.1-5.mga2
+ Revision: 224891
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.20091101.1-4.mga2
+ Revision: 209131
- use better obsoleting of myspell
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20091101.1-2.mga1
+ Revision: 69174
- imported package hunspell-ts


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20091101-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 20 2010 Caolán McNamara <caolanm@redhat.com> - 0.20091101-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060123-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060123-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 12 2008 Caolán McNamara <caolanm@redhat.com> - 0.20060123-1
- initial version
